#if !defined(AFX_DLGZAL_HPP__0521A7CF_DB1A_11D0_B19B_0060973673C5__INCLUDED_)
#define AFX_DLGZAL_HPP__0521A7CF_DB1A_11D0_B19B_0060973673C5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgZAL.hpp : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgZAL form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

#include "TAct_Res.h"

class TAction_Interface;
class CPA_tdoNameList;
class CPA_ZonesActivatingList;

class CDlgZAL : public CFormView
{
protected:
    TAction_Interface       *m_p_oDLL;
    CPA_tdoNameList         *m_p_oCurrentNamesList;
    CPA_ZonesActivatingList *m_p_oCurrentZAList;
    BOOL                    m_bFirstShow;
protected:
	CDlgZAL();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDlgZAL)

// Form Data
public:
	//{{AFX_DATA(CDlgZAL)
	enum { IDD = IDD_DLG_ZA_LIST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName,
				DWORD dwRequestedStyle, const RECT& rect, CWnd* pParentWnd, UINT nID,
				CCreateContext* pContext);

// Operations
public:
    void mfn_vSetParentDLL       ( TAction_Interface *_p_oDLL)		{ m_p_oDLL = _p_oDLL ; }
	void mfn_vSetCurrentZAList   ( CPA_ZonesActivatingList *_p_oZAList );
	void mfn_vSetCurrentNameList ( CPA_tdoNameList *_p_oNameList );

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgZAL)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	int mfn_iSelectStringExact( CListBox *_pLB, CString _csName);
	void mfn_vUpdateButtons();
	void mfn_vFillLBZAList(CPA_tdoNameList *_p_oNameList);
	virtual ~CDlgZAL();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CDlgZAL)
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnBtCopy();
	afx_msg void OnBtDelete();
	afx_msg void OnBtNew();
	afx_msg void OnBtRename();
	afx_msg void OnSelchangeLbZalist();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGZAL_HPP__0521A7CF_DB1A_11D0_B19B_0060973673C5__INCLUDED_)
